- Random123-1.09 Documentation

Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | Protected Member Functions

# r123array16x8 Struct Reference
[The r123arrayNxW classes]

`#include <Random123/array.h>`

List of all members.

## Public Types
enum | { static_size = 16 }
typedef uint8_t | value_type
typedef uint8_t * | iterator
typedef const uint8_t * | const_iterator
typedef value_type & | reference
typedef const value_type & | const_reference
typedef size_t | size_type
typedef ptrdiff_t | difference_type
typedef uint8_t * | pointer
typedef const uint8_t * | const_pointer
typedef std::reverse_iterator < iterator > | reverse_iterator
typedef std::reverse_iterator < const_iterator > | const_reverse_iterator
## Public Member Functions
reference | operator[] (size_type i)
const_reference | operator[] (size_type i) const
reference | at (size_type i)
const_reference | at (size_type i) const
size_type | size () const
size_type | max_size () const
bool | empty () const
iterator | begin ()
iterator | end ()
const_iterator | begin () const
const_iterator | end () const
const_iterator | cbegin () const
const_iterator | cend () const
reverse_iterator | rbegin ()
const_reverse_iterator | rbegin () const
reverse_iterator | rend ()
const_reverse_iterator | rend () const
const_reverse_iterator | crbegin () const
const_reverse_iterator | crend () const
pointer | data ()
const_pointer | data () const
reference | front ()
const_reference | front () const
reference | back ()
const_reference | back () const
bool | operator== (const r123array16x8 &rhs) const
bool | operator!= (const r123array16x8 &rhs) const
void | fill (const value_type &val)
void | swap (r123array16x8 &rhs)
r123array16x8 & | incr (uint64_t n=1)
## Static Public Member Functions
template<typename SeedSeq >
static r123array16x8 | seed (SeedSeq &ss)
## Public Attributes
uint8_t | v [16]
## Protected Member Functions
r123array16x8 & | incr_carefully (uint64_t n)

## Detailed Description

See also:
  The r123arrayNxW classes

## Member Typedef Documentation

typedef const uint8_t* r123array16x8::const_iterator

typedef const uint8_t* r123array16x8::const_pointer

typedef const value_type& r123array16x8::const_reference

typedef std::reverse_iterator<const_iterator> r123array16x8::const_reverse_iterator

typedef ptrdiff_t r123array16x8::difference_type

typedef uint8_t* r123array16x8::iterator

typedef uint8_t* r123array16x8::pointer

typedef value_type& r123array16x8::reference

typedef std::reverse_iterator<iterator> r123array16x8::reverse_iterator

typedef size_t r123array16x8::size_type

typedef uint8_t r123array16x8::value_type

## Member Enumeration Documentation

anonymous enum

Enumerator:

  static_size |

## Member Function Documentation

reference r123array16x8::at | ( | size_type | i | ) | `[inline]`

const_reference r123array16x8::at | ( | size_type | i | ) | const`[inline]`

reference r123array16x8::back | ( |  | ) | `[inline]`

const_reference r123array16x8::back | ( |  | ) | const`[inline]`

iterator r123array16x8::begin | ( |  | ) | `[inline]`

const_iterator r123array16x8::begin | ( |  | ) | const`[inline]`

const_iterator r123array16x8::cbegin | ( |  | ) | const`[inline]`

const_iterator r123array16x8::cend | ( |  | ) | const`[inline]`

const_reverse_iterator r123array16x8::crbegin | ( |  | ) | const`[inline]`

const_reverse_iterator r123array16x8::crend | ( |  | ) | const`[inline]`

pointer r123array16x8::data | ( |  | ) | `[inline]`

const_pointer r123array16x8::data | ( |  | ) | const`[inline]`

bool r123array16x8::empty | ( |  | ) | const`[inline]`

iterator r123array16x8::end | ( |  | ) | `[inline]`

const_iterator r123array16x8::end | ( |  | ) | const`[inline]`

void r123array16x8::fill | ( | const value_type & | val | ) | `[inline]`

reference r123array16x8::front | ( |  | ) | `[inline]`

const_reference r123array16x8::front | ( |  | ) | const`[inline]`

r123array16x8& r123array16x8::incr | ( | uint64_t | n = `1` | ) | `[inline]`

r123array16x8& r123array16x8::incr_carefully | ( | uint64_t | n | ) | `[inline, protected]`

size_type r123array16x8::max_size | ( |  | ) | const`[inline]`

bool r123array16x8::operator!= | ( | const r123array16x8 & | rhs | ) | const`[inline]`

bool r123array16x8::operator== | ( | const r123array16x8 & | rhs | ) | const`[inline]`

const_reference r123array16x8::operator[] | ( | size_type | i | ) | const`[inline]`

reference r123array16x8::operator[] | ( | size_type | i | ) | `[inline]`

reverse_iterator r123array16x8::rbegin | ( |  | ) | `[inline]`

const_reverse_iterator r123array16x8::rbegin | ( |  | ) | const`[inline]`

const_reverse_iterator r123array16x8::rend | ( |  | ) | const`[inline]`

reverse_iterator r123array16x8::rend | ( |  | ) | `[inline]`

template<typename SeedSeq >

static r123array16x8 r123array16x8::seed | ( | SeedSeq & | ss | ) | `[inline, static]`

size_type r123array16x8::size | ( |  | ) | const`[inline]`

void r123array16x8::swap | ( | r123array16x8 & | rhs | ) | `[inline]`

## Member Data Documentation

uint8_t r123array16x8::v[16]

The documentation for this struct was generated from the following file:

- Random123/array.h

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines